Bug 1852141 - F33FailsToInstall: python3-google-api-client
Summary: F33FailsToInstall: python3-google-api-client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: google-api-python-client
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1848773
Blocks: F33FailsToInstall F33BetaFreezeException 1854591 1866077 1871489
TreeView+ depends on / blocked
 
Reported: 2020-06-29 20:16 UTC by Igor Raits
Modified: 2020-09-21 20:49 UTC (History)
9 users (show)

Fixed In Version: google-api-python-client-1.6.7-13.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 20:49:11 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2020-06-29 20:16:05 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (google-api-python-client) Fails To Install in Fedora 33:

can't install python3-google-api-client:
  - nothing provides (python3.9dist(google-api-core) < 2~~dev0 with python3.9dist(google-api-core) >= 1.18) needed by python3-google-api-client-1:1.9.3-1.fc33.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Gwyn Ciesla 2020-06-30 14:22:00 UTC
Corrected the Requires, but this still requires a newwer python-google-api-core, which is currently FTBFS.

Comment 2 Mohamed El Morabity 2020-06-30 15:35:40 UTC
(In reply to Gwyn Ciesla from comment #1)
> Corrected the Requires, but this still requires a newwer
> python-google-api-core, which is currently FTBFS.

As a reminder, latest version of python-google-api-core requires a newer version of python-grpc.

Comment 3 Gwyn Ciesla 2020-06-30 15:37:44 UTC
I'm working on the latest grpc as we speak.

Comment 4 Ben Cotton 2020-08-11 13:41:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Felix Schwarz 2020-08-16 22:16:12 UTC
Any idea if this will be fixed in time for F33? We might need to exclude python-certbot-dns-google from F33+ if python3-google-api-client is not installable.

Comment 6 Gwyn Ciesla 2020-08-17 14:02:25 UTC
I've asked upstream grpc for an update. If they don't get us a fix by a certain date, I'll bump epoch and downgrade. What should that cutoff date be?

Comment 7 Felix Schwarz 2020-08-17 14:12:13 UTC
No specific date from my side other than the general Fedora dates for retiring packages. I just skimmed over your upstream ticket very briefly and I noticed that cmake support might be working if we had network access, right? If so I might be included to include the missing files as a Fedora patch instead of downgrading. If I have too much time I might look into.

Comment 8 Gwyn Ciesla 2020-08-17 14:42:59 UTC
No, network access doesn't help.

Comment 9 Ankur Sinha (FranciscoD) 2020-09-16 13:56:44 UTC
(In reply to Gwyn Ciesla from comment #6)
> I've asked upstream grpc for an update. If they don't get us a fix by a
> certain date, I'll bump epoch and downgrade. What should that cutoff date be?

Hello,

If upstream hasn't fixed this yet, I think it's perhaps time to use epoch and fix the package temporarily. This also stops users from upgrading from F32 to F33, so it's an important issue.

$ sudo dnf system-upgrade download --releasever=33                                                                                                                                                                  
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
...
 Problem 1: problem with installed package python3-google-api-client-1:1.6.7-11.fc32.noarch
  - python3-google-api-client-1:1.6.7-11.fc32.noarch does not belong to a distupgrade repository
  - nothing provides python3-google-api-core >= 1.18.0 needed by python3-google-api-client-1:1.10.1-1.fc33.noarch
  - nothing provides python3-google-api-core >= 1.18.0 needed by python3-google-api-client-1:1.10.0-2.fc33.noarch


Cheers,

Comment 10 Fedora Update System 2020-09-16 19:20:41 UTC
FEDORA-2020-6a159bca46 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6a159bca46

Comment 11 Fedora Update System 2020-09-17 17:55:20 UTC
FEDORA-2020-6a159bca46 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6a159bca46`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6a159bca46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Blocker Bugs Application 2020-09-17 20:32:46 UTC
Proposed as a Freeze Exception for 33-beta by Fedora user ankursinha using the blocker tracking app because:

 It's an F33FTI bug, and the update seems to be needed to allow upgrades from F32 to F33. 

(I don't have a vanilla workstation install any more, so I can't quite check if this blocks vanilla F32 workstation installs in which case the severity may be higher)

Comment 13 Adam Williamson 2020-09-18 21:04:19 UTC
+3 votes in ticket (https://pagure.io/fedora-qa/blocker-review/issue/100 ), setting accepted.

Comment 14 Fedora Update System 2020-09-21 20:49:11 UTC
FEDORA-2020-6a159bca46 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.